#include "lcd_dip122.h"

static uint8_t PROGMEM glyphs[] = {
  /* space */
  0x31, 0x63,  /* 0, 0 */
  0x00, 
  /* exclam */
  0x42, 0x8a,  /* 1, 0 */
  0xff, 0xc5, 
  /* quotedbl */
  0x53, 0x8a,  /* 1, 5 */
  0x6d, 0x01, 
  /* numbersign */
  0x66, 0x69,  /* 0, 0 */
  0x8a, 0xf2, 0x2b, 0x5f, 0x51, 0x00, 
  /* dollar */
  0x65, 0x6a,  /* 0, -1 */
  0xc4, 0xd5, 0xe3, 0x78, 0x75, 0x04, 
  /* percent */
  0x87, 0x6a,  /* 0, 0 */
  0xc6, 0x96, 0x05, 0x81, 0xa0, 0xa9, 0x63, 
  /* ampersand */
  0x87, 0x6a,  /* 0, 0 */
  0x8e, 0xcd, 0xc6, 0xb1, 0x9f, 0xed, 0xdc, 
  /* quotesingle */
  0x31, 0x8a,  /* 1, 5 */
  0x07, 
  /* parenleft */
  0x43, 0x6a,  /* 0, -2 */
  0xb4, 0xb6, 0x4d, 0x26, 
  /* parenright */
  0x43, 0x6a,  /* 0, -2 */
  0x99, 0x6c, 0x5b, 0x0b, 
  /* asterisk */
  0x43, 0x6a,  /* 0, 5 */
  0x55, 0x01, 
  /* plus */
  0x66, 0x68,  /* 0, 1 */
  0x0c, 0xf3, 0x33, 0x0c, 
  /* comma */
  0x32, 0x64,  /* 0, -2 */
  0x6a, 
  /* hyphen */
  0x54, 0x66,  /* 0, 3 */
  0x0f, 
  /* period */
  0x31, 0x84,  /* 1, 0 */
  0x03, 
  /* slash */
  0x44, 0x6a,  /* 0, 0 */
  0x88, 0x44, 0x22, 0x11, 
  /* zero */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0xef, 0xbd, 0xf7, 0x76, 
  /* one */
  0x64, 0x6a,  /* 0, 0 */
  0xfc, 0xcc, 0xcc, 0xcc, 
  /* two */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0x63, 0xcc, 0xcc, 0xf8, 
  /* three */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0x63, 0x86, 0xf1, 0x76, 
  /* four */
  0x66, 0x6a,  /* 0, 0 */
  0x18, 0xa7, 0x69, 0xd9, 0x8f, 0x61, 
  /* five */
  0x65, 0x6a,  /* 0, 0 */
  0x7f, 0x8c, 0x87, 0xf3, 0x76, 
  /* six */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0x8f, 0xb7, 0xf7, 0x76, 
  /* seven */
  0x65, 0x6a,  /* 0, 0 */
  0x1f, 0x63, 0xc6, 0x98, 0x31, 
  /* eight */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0x6f, 0xb7, 0xf7, 0x76, 
  /* nine */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0xef, 0xed, 0xf1, 0x76, 
  /* colon */
  0x31, 0x88,  /* 1, 0 */
  0x33, 
  /* semicolon */
  0x32, 0x68,  /* 0, -2 */
  0x0a, 0x6a, 
  /* less */
  0x54, 0x68,  /* 0, 1 */
  0x6c, 0x63, 0x0c, 
  /* equal */
  0x65, 0x67,  /* 0, 2 */
  0x1f, 0x7c, 
  /* greater */
  0x54, 0x68,  /* 0, 1 */
  0x63, 0x6c, 0x03, 
  /* question */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0x63, 0x66, 0x0c, 0x30, 
  /* at */
  0xba, 0x69,  /* 0, -2 */
  0xf8, 0x18, 0x24, 0x6b, 0x92, 0x45, 0x96, 0x94, 0x8d, 0x00, 0x7c, 0x00, 
  /* A */
  0x87, 0x6a,  /* 0, 0 */
  0x1c, 0x8e, 0xcd, 0x66, 0xfb, 0x8f, 0xc7, 
  /* B */
  0x76, 0x6a,  /* 0, 0 */
  0xdf, 0x3c, 0x7f, 0xf3, 0x3c, 0x7f, 
  /* C */
  0x87, 0x6a,  /* 0, 0 */
  0x3c, 0xf3, 0x70, 0x30, 0x18, 0x9a, 0x79, 
  /* D */
  0x76, 0x6a,  /* 0, 0 */
  0xcf, 0x36, 0xcf, 0xf3, 0xbc, 0x3d, 
  /* E */
  0x65, 0x6a,  /* 0, 0 */
  0x7f, 0x8c, 0x3f, 0xc6, 0xf8, 
  /* F */
  0x65, 0x6a,  /* 0, 0 */
  0x7f, 0x8c, 0x37, 0xc6, 0x18, 
  /* G */
  0x87, 0x6a,  /* 0, 0 */
  0x3c, 0xf3, 0x70, 0x30, 0x1f, 0x9b, 0xb9, 
  /* H */
  0x76, 0x6a,  /* 0, 0 */
  0xf3, 0x3c, 0xff, 0xf3, 0x3c, 0xcf, 
  /* I */
  0x32, 0x6a,  /* 0, 0 */
  0xff, 0xff, 
  /* J */
  0x65, 0x6a,  /* 0, 0 */
  0x18, 0x63, 0x8c, 0xf1, 0x76, 
  /* K */
  0x77, 0x6a,  /* 0, 0 */
  0xb3, 0xcd, 0xe3, 0xf0, 0xd8, 0xcc, 0xc6, 
  /* L */
  0x65, 0x6a,  /* 0, 0 */
  0x63, 0x8c, 0x31, 0xc6, 0xf8, 
  /* M */
  0xa9, 0x6a,  /* 0, 0 */
  0x83, 0x8f, 0x1f, 0x7f, 0xbf, 0x7a, 0xf7, 0xe4, 0xc9, 
  /* N */
  0x87, 0x6a,  /* 0, 0 */
  0xe3, 0xf3, 0x79, 0xbd, 0x9e, 0xcf, 0xc7, 
  /* O */
  0x87, 0x6a,  /* 0, 0 */
  0x1c, 0xdb, 0x78, 0x3c, 0x1e, 0xdb, 0x38, 
  /* P */
  0x76, 0x6a,  /* 0, 0 */
  0xdf, 0x3c, 0xcf, 0xdf, 0x30, 0x0c, 
  /* Q */
  0x87, 0x6a,  /* 0, -1 */
  0x1c, 0xdb, 0x78, 0x3c, 0x5e, 0xdb, 0x78, 0x40, 
  /* R */
  0x76, 0x6a,  /* 0, 0 */
  0xdf, 0x3c, 0xcf, 0xdf, 0x3c, 0xcf, 
  /* S */
  0x76, 0x6a,  /* 0, 0 */
  0xde, 0x7c, 0x78, 0x78, 0x3c, 0x7b, 
  /* T */
  0x76, 0x6a,  /* 0, 0 */
  0x3f, 0xc3, 0x30, 0x0c, 0xc3, 0x30, 
  /* U */
  0x76, 0x6a,  /* 0, 0 */
  0xf3, 0x3c, 0xcf, 0xf3, 0x3c, 0x7b, 
  /* V */
  0x87, 0x6a,  /* 0, 0 */
  0xe3, 0xb1, 0xcd, 0x66, 0xe3, 0x70, 0x10, 
  /* W */
  0xba, 0x6a,  /* 0, 0 */
  0x33, 0xcf, 0x3c, 0xb3, 0x6d, 0xb6, 0xf9, 0xc7, 0x0c, 0x21, 
  /* X */
  0x87, 0x6a,  /* 0, 0 */
  0xe3, 0xb1, 0x8d, 0xc3, 0xb1, 0x8d, 0xc7, 
  /* Y */
  0x98, 0x6a,  /* 0, 0 */
  0xc3, 0xc3, 0x66, 0x66, 0x3c, 0x18, 0x18, 0x18, 
  /* Z */
  0x76, 0x6a,  /* 0, 0 */
  0x3f, 0x8c, 0x31, 0x8e, 0x31, 0xfc, 
  /* bracketleft */
  0x43, 0x6a,  /* 0, -2 */
  0xdf, 0xb6, 0x6d, 0x3b, 
  /* backslash */
  0x44, 0x6a,  /* 0, 0 */
  0x11, 0x22, 0x44, 0x88, 
  /* bracketright */
  0x43, 0x6a,  /* 0, -2 */
  0xb7, 0x6d, 0xdb, 0x3e, 
  /* asciicircum */
  0x55, 0x6a,  /* 0, 4 */
  0xc4, 0xed, 0x08, 
  /* underscore */
  0x66, 0x61,  /* 0, -2 */
  0x3f, 
  /* grave */
  0x32, 0x6a,  /* 0, 6 */
  0x09, 
  /* a */
  0x66, 0x68,  /* 0, 0 */
  0x4e, 0xe6, 0x6d, 0x9b, 0x0d, 
  /* b */
  0x65, 0x6a,  /* 0, 0 */
  0x63, 0xbc, 0x3d, 0xe7, 0x7e, 
  /* c */
  0x54, 0x68,  /* 0, 0 */
  0xbe, 0x33, 0xeb, 
  /* d */
  0x65, 0x6a,  /* 0, 0 */
  0x18, 0xfb, 0x9d, 0xf3, 0xf6, 
  /* e */
  0x65, 0x68,  /* 0, 0 */
  0x6e, 0xff, 0xb1, 0x1d, 
  /* f */
  0x44, 0x6a,  /* 0, 0 */
  0x3e, 0x37, 0x33, 0x33, 
  /* g */
  0x65, 0x68,  /* 0, -2 */
  0x76, 0xe7, 0xbc, 0x3d, 0x76, 
  /* h */
  0x65, 0x6a,  /* 0, 0 */
  0x63, 0xbc, 0xbd, 0xf7, 0xde, 
  /* i */
  0x32, 0x6a,  /* 0, 0 */
  0xf3, 0xff, 
  /* j */
  0x32, 0x6a,  /* 0, -2 */
  0xf3, 0xff, 0x07, 
  /* k */
  0x66, 0x6a,  /* 0, 0 */
  0xc3, 0xb0, 0x3d, 0xc7, 0xb3, 0xcd, 
  /* l */
  0x32, 0x6a,  /* 0, 0 */
  0xff, 0xff, 
  /* m */
  0x98, 0x68,  /* 0, 0 */
  0x6d, 0xdb, 0xdb, 0xdb, 0xdb, 0xdb, 
  /* n */
  0x65, 0x68,  /* 0, 0 */
  0x6d, 0xef, 0xbd, 0x37, 
  /* o */
  0x65, 0x68,  /* 0, 0 */
  0x6e, 0xef, 0xbd, 0x1d, 
  /* p */
  0x65, 0x68,  /* 0, -2 */
  0x6d, 0xcf, 0xb9, 0xdf, 0x18, 
  /* q */
  0x65, 0x68,  /* 0, -2 */
  0x76, 0xe7, 0xbc, 0x3d, 0xc6, 
  /* r */
  0x44, 0x68,  /* 0, 0 */
  0x7d, 0x33, 0x33, 
  /* s */
  0x65, 0x68,  /* 0, 0 */
  0x6e, 0x3b, 0xbc, 0x1d, 
  /* t */
  0x43, 0x6a,  /* 0, 0 */
  0xdb, 0xb7, 0xcd, 
  /* u */
  0x65, 0x68,  /* 0, 0 */
  0x7b, 0xef, 0xbd, 0x2d, 
  /* v */
  0x65, 0x68,  /* 0, 0 */
  0x7b, 0x6f, 0xe5, 0x08, 
  /* w */
  0x87, 0x68,  /* 0, 0 */
  0xeb, 0xf5, 0xda, 0x66, 0xb3, 0x01, 
  /* x */
  0x76, 0x68,  /* 0, 0 */
  0xb3, 0xc7, 0x78, 0xf3, 0x0c, 
  /* y */
  0x65, 0x68,  /* 0, -2 */
  0x7b, 0xef, 0xed, 0x19, 0x33, 
  /* z */
  0x65, 0x68,  /* 0, 0 */
  0x1f, 0x33, 0x33, 0x3e, 
  /* braceleft */
  0x54, 0x6a,  /* 0, -2 */
  0x6c, 0x66, 0x63, 0x66, 0xc6, 
  /* bar */
  0x31, 0x8a,  /* 1, -2 */
  0xff, 0x03, 
  /* braceright */
  0x54, 0x6a,  /* 0, -2 */
  0x63, 0x66, 0x6c, 0x66, 0x36, 
  /* asciitilde */
  0x66, 0x66,  /* 0, 2 */
  0xf6, 0x06, 
  /* space */
  0x31, 0x63,  /* 0, 0 */
  0x00, 
  /* exclamdown */
  0x42, 0x88,  /* 1, -2 */
  0xa3, 0xff, 
  /* cent */
  0x65, 0x69,  /* 0, -1 */
  0xc8, 0xed, 0x52, 0xb6, 0x13, 
  /* sterling */
  0x65, 0x6a,  /* 0, 0 */
  0xdc, 0x9a, 0x67, 0x8c, 0xdd, 
  /* currency */
  0x65, 0x69,  /* 0, 1 */
  0xdb, 0xed, 0xed, 0x36, 
  /* yen */
  0x76, 0x6a,  /* 0, 0 */
  0xe1, 0x2c, 0x79, 0x3f, 0xf3, 0x33, 
  /* brokenbar */
  0x31, 0x8a,  /* 1, -2 */
  0xcf, 0x03, 
  /* section */
  0x65, 0x6a,  /* 0, -2 */
  0x6e, 0x1e, 0x97, 0xa7, 0xe3, 0xd9, 0x01, 
  /* dieresis */
  0x33, 0x6a,  /* 0, 7 */
  0x05, 
  /* copyright */
  0xa8, 0x8a,  /* 1, 0 */
  0x3c, 0x42, 0x99, 0xa5, 0x85, 0xb9, 0x42, 0x3c, 
  /* ordfeminine */
  0x53, 0x8a,  /* 1, 3 */
  0x67, 0x71, 
  /* guillemotleft */
  0x76, 0x66,  /* 0, 1 */
  0xf6, 0x66, 0x03, 
  /* logicalnot */
  0x75, 0x87,  /* 1, 2 */
  0x1f, 0x42, 
  /* hyphen */
  0x54, 0x66,  /* 0, 3 */
  0x0f, 
  /* registered */
  0xa8, 0x8a,  /* 1, 0 */
  0x3c, 0x42, 0xbd, 0xa5, 0x9d, 0xa5, 0x42, 0x3c, 
  /* macron */
  0x33, 0x6a,  /* 0, 7 */
  0x07, 
  /* degree */
  0x43, 0x89,  /* 1, 4 */
  0xee, 0x00, 
  /* plusminus */
  0x66, 0x69,  /* 0, 0 */
  0x0c, 0xf3, 0x33, 0x0c, 0xf0, 0x03, 
  /* twosuperior */
  0x33, 0x69,  /* 0, 3 */
  0xae, 0x0e, 
  /* threesuperior */
  0x33, 0x69,  /* 0, 3 */
  0x17, 0x07, 
  /* acute */
  0x32, 0x6b,  /* 0, 7 */
  0x06, 
  /* mu */
  0x65, 0x68,  /* 0, -2 */
  0x7b, 0xef, 0xbd, 0xef, 0x18, 
  /* paragraph */
  0x66, 0x6a,  /* 0, -2 */
  0xfe, 0x75, 0x5d, 0x16, 0x45, 0x51, 0x14, 0x05, 
  /* periodcentered */
  0x32, 0x66,  /* 0, 3 */
  0x03, 
  /* cedilla */
  0x32, 0x62,  /* 0, -2 */
  0x0e, 
  /* onesuperior */
  0x32, 0x69,  /* 0, 3 */
  0xae, 
  /* ordmasculine */
  0x53, 0x8a,  /* 1, 3 */
  0xef, 0x71, 
  /* guillemotright */
  0x76, 0x66,  /* 0, 1 */
  0x9b, 0xbd, 0x01, 
  /* onequarter */
  0x98, 0x6a,  /* 0, 0 */
  0x42, 0x23, 0x12, 0x12, 0x48, 0x64, 0xf4, 0x42, 
  /* onehalf */
  0x97, 0x6a,  /* 0, 0 */
  0xc2, 0x91, 0x44, 0x82, 0xa6, 0x92, 0xe4, 
  /* threequarters */
  0x98, 0x6a,  /* 0, 0 */
  0x47, 0x22, 0x14, 0x13, 0x48, 0x64, 0xf4, 0x42, 
  /* questiondown */
  0x65, 0x68,  /* 0, -2 */
  0x0c, 0x30, 0x66, 0xc6, 0x76, 
  /* Agrave */
  0x87, 0x6d,  /* 0, 0 */
  0x04, 0x04, 0x80, 0xc3, 0xb1, 0xd9, 0x6c, 0xff, 0xf1, 0x18, 
  /* Aacute */
  0x87, 0x6d,  /* 0, 0 */
  0x10, 0x04, 0x80, 0xc3, 0xb1, 0xd9, 0x6c, 0xff, 0xf1, 0x18, 
  /* Acircumflex */
  0x87, 0x6d,  /* 0, 0 */
  0x08, 0x0a, 0x80, 0xc3, 0xb1, 0xd9, 0x6c, 0xff, 0xf1, 0x18, 
  /* Atilde */
  0x87, 0x6d,  /* 0, 0 */
  0x28, 0x0a, 0x80, 0xc3, 0xb1, 0xd9, 0x6c, 0xff, 0xf1, 0x18, 
  /* Adieresis */
  0x87, 0x6c,  /* 0, 0 */
  0x14, 0x00, 0x87, 0x63, 0xb3, 0xd9, 0xfe, 0xe3, 0x31, 
  /* Aring */
  0x87, 0x6d,  /* 0, 0 */
  0x08, 0x0a, 0x82, 0xc3, 0xb1, 0xd9, 0x6c, 0xff, 0xf1, 0x18, 
  /* AE */
  0xa9, 0x6a,  /* 0, 0 */
  0xfc, 0x79, 0xd8, 0xb0, 0x6f, 0xe3, 0xc7, 0x8c, 0xf9, 
  /* Ccedilla */
  0x87, 0x6a,  /* 0, -2 */
  0x3c, 0xf3, 0x70, 0x30, 0x18, 0x9a, 0x79, 0x08, 0x06, 
  /* Egrave */
  0x65, 0x6d,  /* 0, 0 */
  0x82, 0x80, 0x3f, 0xc6, 0x1f, 0x63, 0x7c, 
  /* Eacute */
  0x65, 0x6d,  /* 0, 0 */
  0x88, 0x80, 0x3f, 0xc6, 0x1f, 0x63, 0x7c, 
  /* Ecircumflex */
  0x65, 0x6d,  /* 0, 0 */
  0x44, 0x81, 0x3f, 0xc6, 0x1f, 0x63, 0x7c, 
  /* Edieresis */
  0x65, 0x6c,  /* 0, 0 */
  0x0a, 0xfc, 0x31, 0xfe, 0x18, 0xe3, 0x03, 
  /* Igrave */
  0x32, 0x6d,  /* 0, 0 */
  0xc9, 0xff, 0x3f, 
  /* Iacute */
  0x32, 0x6d,  /* 0, 0 */
  0xc6, 0xff, 0x3f, 
  /* Icircumflex */
  0x33, 0x6d,  /* 0, 0 */
  0x2a, 0xb6, 0x6d, 0xdb, 0x00, 
  /* Idieresis */
  0x33, 0x6c,  /* 0, 0 */
  0xc5, 0xb6, 0x6d, 0x1b, 
  /* Eth */
  0x76, 0x6a,  /* 0, 0 */
  0xcf, 0x36, 0xdf, 0xf3, 0xbc, 0x3d, 
  /* Ntilde */
  0x87, 0x6d,  /* 0, 0 */
  0x28, 0x0a, 0x60, 0x3c, 0x3e, 0xaf, 0xd7, 0xf3, 0xf9, 0x18, 
  /* Ograve */
  0x87, 0x6d,  /* 0, 0 */
  0x04, 0x04, 0x80, 0x63, 0x1b, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Oacute */
  0x87, 0x6d,  /* 0, 0 */
  0x20, 0x08, 0x80, 0x63, 0x1b, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Ocircumflex */
  0x87, 0x6d,  /* 0, 0 */
  0x08, 0x0a, 0x80, 0x63, 0x1b, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Otilde */
  0x87, 0x6d,  /* 0, 0 */
  0x28, 0x0a, 0x80, 0x63, 0x1b, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Odieresis */
  0x87, 0x6c,  /* 0, 0 */
  0x14, 0x00, 0xc7, 0x36, 0x1e, 0x8f, 0xc7, 0x36, 0x0e, 
  /* multiply */
  0x66, 0x68,  /* 0, 1 */
  0xb3, 0xc7, 0x78, 0x33, 
  /* Oslash */
  0x87, 0x6a,  /* 0, 0 */
  0x5c, 0xdb, 0x7c, 0xbd, 0x3e, 0xdb, 0x3a, 
  /* Ugrave */
  0x76, 0x6d,  /* 0, 0 */
  0x04, 0x02, 0xcc, 0xf3, 0x3c, 0xcf, 0xf3, 0xec, 0x01, 
  /* Uacute */
  0x76, 0x6d,  /* 0, 0 */
  0x10, 0x02, 0xcc, 0xf3, 0x3c, 0xcf, 0xf3, 0xec, 0x01, 
  /* Ucircumflex */
  0x76, 0x6d,  /* 0, 0 */
  0x08, 0x05, 0xcc, 0xf3, 0x3c, 0xcf, 0xf3, 0xec, 0x01, 
  /* Udieresis */
  0x76, 0x6c,  /* 0, 0 */
  0x14, 0x30, 0xcf, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* Yacute */
  0x98, 0x6d,  /* 0, 0 */
  0x20, 0x10, 0x00, 0xc3, 0xc3, 0x66, 0x66, 0x3c, 0x18, 0x18, 0x18, 
  /* Thorn */
  0x76, 0x6a,  /* 0, 0 */
  0xc3, 0x37, 0xcf, 0xf3, 0x37, 0x0c, 
  /* germandbls */
  0x65, 0x6a,  /* 0, 0 */
  0x6e, 0xce, 0x35, 0xe7, 0x5c, 
  /* agrave */
  0x66, 0x6b,  /* 0, 0 */
  0x02, 0x01, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* aacute */
  0x66, 0x6b,  /* 0, 0 */
  0x10, 0x02, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* acircumflex */
  0x66, 0x6b,  /* 0, 0 */
  0x8c, 0x05, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* atilde */
  0x66, 0x6b,  /* 0, 0 */
  0x94, 0x02, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* adieresis */
  0x66, 0x6b,  /* 0, 0 */
  0x8a, 0x02, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* aring */
  0x66, 0x6b,  /* 0, 0 */
  0x84, 0x42, 0x38, 0x99, 0xb7, 0x6d, 0x36, 
  /* ae */
  0x98, 0x68,  /* 0, 0 */
  0x7e, 0xd9, 0xfe, 0x1b, 0xdb, 0x76, 
  /* ccedilla */
  0x54, 0x68,  /* 0, -2 */
  0xbe, 0x33, 0xeb, 0x64, 
  /* egrave */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x00, 0xb7, 0xff, 0xd8, 0x0e, 
  /* eacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x00, 0xb7, 0xff, 0xd8, 0x0e, 
  /* ecircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x01, 0xb7, 0xff, 0xd8, 0x0e, 
  /* edieresis */
  0x65, 0x6b,  /* 0, 0 */
  0x4a, 0x01, 0xb7, 0xff, 0xd8, 0x0e, 
  /* igrave */
  0x32, 0x6b,  /* 0, 0 */
  0xc9, 0xff, 0x03, 
  /* iacute */
  0x33, 0x6b,  /* 0, 0 */
  0x14, 0xb6, 0x6d, 0x03, 
  /* icircumflex */
  0x33, 0x4b,  /* -1, 0 */
  0x2a, 0x6c, 0xdb, 0x06, 
  /* idieresis */
  0x33, 0x6b,  /* 0, 0 */
  0x2d, 0xb6, 0x6d, 0x03, 
  /* eth */
  0x65, 0x6b,  /* 0, 0 */
  0xca, 0x14, 0xb7, 0xf7, 0xde, 0x0e, 
  /* ntilde */
  0x65, 0x6b,  /* 0, 0 */
  0x54, 0x81, 0xb6, 0xf7, 0xde, 0x1b, 
  /* ograve */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x00, 0xb7, 0xf7, 0xde, 0x0e, 
  /* oacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x00, 0xb7, 0xf7, 0xde, 0x0e, 
  /* ocircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x01, 0xb7, 0xf7, 0xde, 0x0e, 
  /* otilde */
  0x65, 0x6b,  /* 0, 0 */
  0xaa, 0x00, 0xb7, 0xf7, 0xde, 0x0e, 
  /* odieresis */
  0x65, 0x6b,  /* 0, 0 */
  0x4a, 0x01, 0xb7, 0xf7, 0xde, 0x0e, 
  /* divide */
  0x66, 0x68,  /* 0, 1 */
  0x0c, 0xf0, 0x03, 0x0c, 
  /* oslash */
  0x66, 0x68,  /* 0, 0 */
  0xee, 0xf6, 0x6d, 0x9b, 0x03, 
  /* ugrave */
  0x65, 0x6b,  /* 0, 0 */
  0x82, 0x80, 0xbd, 0xf7, 0xde, 0x16, 
  /* uacute */
  0x65, 0x6b,  /* 0, 0 */
  0x88, 0x80, 0xbd, 0xf7, 0xde, 0x16, 
  /* ucircumflex */
  0x65, 0x6b,  /* 0, 0 */
  0x44, 0x81, 0xbd, 0xf7, 0xde, 0x16, 
  /* udieresis */
  0x65, 0x6b,  /* 0, 0 */
  0x4a, 0x81, 0xbd, 0xf7, 0xde, 0x16, 
  /* yacute */
  0x65, 0x6b,  /* 0, -2 */
  0x88, 0x80, 0xbd, 0xf7, 0xf6, 0x8c, 0x19, 
  /* thorn */
  0x65, 0x6a,  /* 0, -2 */
  0x63, 0xbc, 0x3d, 0xe7, 0x7e, 0x63, 0x00, 
  /* ydieresis */
  0x65, 0x6b,  /* 0, -2 */
  0x4a, 0x81, 0xbd, 0xf7, 0xf6, 0x8c, 0x19};


static uint16_t PROGMEM toc[] = {
  0x0000,
  0x0003,
  0x0007,
  0x000b,
  0x0013,
  0x001b,
  0x0024,
  0x002d,
  0x0030,
  0x0036,
  0x003c,
  0x0040,
  0x0046,
  0x0049,
  0x004c,
  0x004f,
  0x0055,
  0x005c,
  0x0062,
  0x0069,
  0x0070,
  0x0078,
  0x007f,
  0x0086,
  0x008d,
  0x0094,
  0x009b,
  0x009e,
  0x00a2,
  0x00a7,
  0x00ab,
  0x00b0,
  0x00b7,
  0x00c5,
  0x00ce,
  0x00d6,
  0x00df,
  0x00e7,
  0x00ee,
  0x00f5,
  0x00fe,
  0x0106,
  0x010a,
  0x0111,
  0x011a,
  0x0121,
  0x012c,
  0x0135,
  0x013e,
  0x0146,
  0x0150,
  0x0158,
  0x0160,
  0x0168,
  0x0170,
  0x0179,
  0x0185,
  0x018e,
  0x0198,
  0x01a0,
  0x01a6,
  0x01ac,
  0x01b2,
  0x01b7,
  0x01ba,
  0x01bd,
  0x01c4,
  0x01cb,
  0x01d0,
  0x01d7,
  0x01dd,
  0x01e3,
  0x01ea,
  0x01f1,
  0x01f5,
  0x01fa,
  0x0202,
  0x0206,
  0x020e,
  0x0214,
  0x021a,
  0x0221,
  0x0228,
  0x022d,
  0x0233,
  0x0238,
  0x023e,
  0x0244,
  0x024c,
  0x0253,
  0x025a,
  0x0260,
  0x0267,
  0x026b,
  0x0272,
  0x0276,
  0x0279,
  0x027d,
  0x0284,
  0x028b,
  0x0291,
  0x0299,
  0x029d,
  0x02a6,
  0x02a9,
  0x02b3,
  0x02b7,
  0x02bc,
  0x02c0,
  0x02c3,
  0x02cd,
  0x02d0,
  0x02d4,
  0x02dc,
  0x02e0,
  0x02e4,
  0x02e7,
  0x02ee,
  0x02f8,
  0x02fb,
  0x02fe,
  0x0301,
  0x0305,
  0x030a,
  0x0314,
  0x031d,
  0x0327,
  0x032e,
  0x033a,
  0x0346,
  0x0352,
  0x035e,
  0x0369,
  0x0375,
  0x0380,
  0x038b,
  0x0394,
  0x039d,
  0x03a6,
  0x03af,
  0x03b4,
  0x03b9,
  0x03c0,
  0x03c6,
  0x03ce,
  0x03da,
  0x03e6,
  0x03f2,
  0x03fe,
  0x040a,
  0x0415,
  0x041b,
  0x0424,
  0x042f,
  0x043a,
  0x0445,
  0x044f,
  0x045c,
  0x0464,
  0x046b,
  0x0474,
  0x047d,
  0x0486,
  0x048f,
  0x0498,
  0x04a1,
  0x04a9,
  0x04af,
  0x04b7,
  0x04bf,
  0x04c7,
  0x04cf,
  0x04d4,
  0x04da,
  0x04e0,
  0x04e6,
  0x04ee,
  0x04f6,
  0x04fe,
  0x0506,
  0x050e,
  0x0516,
  0x051e,
  0x0524,
  0x052b,
  0x0533,
  0x053b,
  0x0543,
  0x054b,
  0x0554,
  0x055d,  0x0564};

static lcd_font PROGMEM font = {
  0x0000, /* font size   */
  00,   /* vid         */
  00,   /* fid         */
  00,   /* TOCoff      */
  32,   /* ascii_min   */
  191,   /* nAscii      */
  11,   /* FBBx        */
  13,   /* FBBy        */
  02,   /* Descent     */
  00,   /* BSP         */
  00,   /* CSP         */
  00,   /* LSP         */
  (uint16_t PROGMEM *)toc, 
  (uint8_t PROGMEM *)glyphs}; 

void setfont_helv_bold_10 ()
{
  lcd_init_font_handler_small ((lcd_font PROGMEM *)&font);
}
