#include "lcd_dip122.h"

static uint8_t PROGMEM glyphs[] = {
  /* space */
  0x21, 0x63,  /* 0, 0 */
  0x00, 
  /* exclam */
  0x21, 0x88,  /* 1, 0 */
  0x2f, 
  /* quotedbl */
  0x33, 0x88,  /* 1, 3 */
  0x6d, 0x01, 
  /* numbersign */
  0x55, 0x67,  /* 0, 0 */
  0xea, 0xab, 0xaf, 0x00, 
  /* dollar */
  0x54, 0x88,  /* 1, -1 */
  0xe4, 0x61, 0x78, 0x02, 
  /* percent */
  0x76, 0x88,  /* 1, 0 */
  0x57, 0xb5, 0xd0, 0xaa, 0x0e, 
  /* ampersand */
  0x65, 0x88,  /* 1, 0 */
  0xa2, 0xc8, 0xda, 0x34, 
  /* quotesingle */
  0x21, 0x6a,  /* 0, 6 */
  0x03, 
  /* parenleft */
  0x32, 0x88,  /* 1, -1 */
  0x56, 0x25, 
  /* parenright */
  0x32, 0x88,  /* 1, -1 */
  0xa9, 0x1a, 
  /* asterisk */
  0x33, 0x87,  /* 1, 2 */
  0xba, 0x00, 
  /* plus */
  0x55, 0x87,  /* 1, 0 */
  0x84, 0x7c, 0x42, 0x00, 
  /* comma */
  0x22, 0x63,  /* 0, -2 */
  0x1a, 
  /* hyphen */
  0x32, 0x65,  /* 0, 2 */
  0x03, 
  /* period */
  0x21, 0x83,  /* 1, 0 */
  0x01, 
  /* slash */
  0x22, 0x88,  /* 1, -1 */
  0x6a, 0x15, 
  /* zero */
  0x54, 0x88,  /* 1, 0 */
  0x96, 0x99, 0x69, 
  /* one */
  0x52, 0xa8,  /* 2, 0 */
  0xae, 0x0a, 
  /* two */
  0x54, 0x88,  /* 1, 0 */
  0x96, 0x48, 0xf2, 
  /* three */
  0x53, 0xa8,  /* 2, 0 */
  0xe3, 0xc8, 0x01, 
  /* four */
  0x54, 0x88,  /* 1, 0 */
  0x44, 0xf6, 0x44, 
  /* five */
  0x53, 0xa8,  /* 2, 0 */
  0xcf, 0xc8, 0x01, 
  /* six */
  0x54, 0x88,  /* 1, 0 */
  0x1e, 0x97, 0x69, 
  /* seven */
  0x54, 0x88,  /* 1, 0 */
  0x8f, 0x24, 0x22, 
  /* eight */
  0x54, 0x88,  /* 1, 0 */
  0x96, 0x96, 0x69, 
  /* nine */
  0x54, 0x88,  /* 1, 0 */
  0x96, 0xe9, 0x68, 
  /* colon */
  0x21, 0x86,  /* 1, 0 */
  0x09, 
  /* semicolon */
  0x22, 0x66,  /* 0, -2 */
  0x82, 0x06, 
  /* less */
  0x53, 0x87,  /* 1, 0 */
  0x54, 0x44, 
  /* equal */
  0x43, 0x86,  /* 1, 1 */
  0xc7, 0x01, 
  /* greater */
  0x53, 0xa7,  /* 2, 0 */
  0x11, 0x15, 
  /* question */
  0x53, 0xa7,  /* 2, 0 */
  0xa3, 0x20, 
  /* at */
  0x98, 0x88,  /* 1, -1 */
  0x7c, 0x82, 0x99, 0xa5, 0x79, 0x01, 0x1e, 
  /* A */
  0x65, 0x88,  /* 1, 0 */
  0x84, 0x28, 0x17, 0x23, 
  /* B */
  0x64, 0xa8,  /* 2, 0 */
  0x97, 0x97, 0x79, 
  /* C */
  0x65, 0x88,  /* 1, 0 */
  0x2e, 0x86, 0x10, 0x1d, 
  /* D */
  0x65, 0x88,  /* 1, 0 */
  0x2f, 0xc6, 0x18, 0x1f, 
  /* E */
  0x64, 0xa8,  /* 2, 0 */
  0x1f, 0x17, 0xf1, 
  /* F */
  0x54, 0xa8,  /* 2, 0 */
  0x1f, 0x17, 0x11, 
  /* G */
  0x65, 0x88,  /* 1, 0 */
  0x2e, 0xe4, 0x18, 0x1d, 
  /* H */
  0x65, 0x88,  /* 1, 0 */
  0x31, 0xfe, 0x18, 0x23, 
  /* I */
  0x21, 0x88,  /* 1, 0 */
  0x3f, 
  /* J */
  0x43, 0x88,  /* 1, 0 */
  0x24, 0x59, 0x01, 
  /* K */
  0x64, 0xa8,  /* 2, 0 */
  0x59, 0x73, 0x99, 
  /* L */
  0x53, 0xa8,  /* 2, 0 */
  0x49, 0x92, 0x03, 
  /* M */
  0x75, 0xa8,  /* 2, 0 */
  0x71, 0xd7, 0x5a, 0x2b, 
  /* N */
  0x65, 0x88,  /* 1, 0 */
  0x71, 0xd6, 0x9a, 0x23, 
  /* O */
  0x65, 0x88,  /* 1, 0 */
  0x2e, 0xc6, 0x18, 0x1d, 
  /* P */
  0x64, 0xa8,  /* 2, 0 */
  0x97, 0x79, 0x11, 
  /* Q */
  0x65, 0x88,  /* 1, -2 */
  0x2e, 0xc6, 0x18, 0x1d, 0x41, 
  /* R */
  0x64, 0xa8,  /* 2, 0 */
  0x97, 0x79, 0x99, 
  /* S */
  0x64, 0xa8,  /* 2, 0 */
  0x1e, 0x87, 0x78, 
  /* T */
  0x43, 0x88,  /* 1, 0 */
  0x97, 0x24, 0x01, 
  /* U */
  0x65, 0x88,  /* 1, 0 */
  0x31, 0xc6, 0x18, 0x1d, 
  /* V */
  0x64, 0xa8,  /* 2, 0 */
  0x99, 0x99, 0x25, 
  /* W */
  0x77, 0x88,  /* 1, 0 */
  0xc9, 0x64, 0xd2, 0x26, 0x91, 0x00, 
  /* X */
  0x64, 0xa8,  /* 2, 0 */
  0x99, 0x66, 0x99, 
  /* Y */
  0x65, 0x88,  /* 1, 0 */
  0x53, 0x4a, 0x46, 0x08, 
  /* Z */
  0x64, 0xa8,  /* 2, 0 */
  0x8f, 0x24, 0xf1, 
  /* bracketleft */
  0x22, 0x88,  /* 1, -1 */
  0x57, 0x35, 
  /* backslash */
  0x22, 0x68,  /* 0, -1 */
  0x95, 0x2a, 
  /* bracketright */
  0x22, 0x68,  /* 0, -1 */
  0xab, 0x3a, 
  /* asciicircum */
  0x55, 0x67,  /* 0, 2 */
  0x44, 0x45, 
  /* underscore */
  0x55, 0x62,  /* 0, -1 */
  0x1f, 
  /* grave */
  0x32, 0x6a,  /* 0, 6 */
  0x09, 
  /* a */
  0x44, 0x87,  /* 1, 0 */
  0x43, 0x57, 0x0b, 
  /* b */
  0x54, 0x89,  /* 1, 0 */
  0x11, 0x97, 0x99, 0x07, 
  /* c */
  0x43, 0x87,  /* 1, 0 */
  0x4e, 0x62, 
  /* d */
  0x54, 0x89,  /* 1, 0 */
  0x88, 0x9e, 0x99, 0x0e, 
  /* e */
  0x43, 0x87,  /* 1, 0 */
  0xea, 0x63, 
  /* f */
  0x33, 0x89,  /* 1, 0 */
  0xd4, 0x25, 0x09, 
  /* g */
  0x54, 0x87,  /* 1, -1 */
  0x9e, 0xe9, 0x68, 
  /* h */
  0x54, 0x89,  /* 1, 0 */
  0x11, 0x97, 0x99, 0x09, 
  /* i */
  0x21, 0x89,  /* 1, 0 */
  0x7d, 
  /* j */
  0x22, 0x69,  /* 0, -2 */
  0xa2, 0xaa, 0x01, 
  /* k */
  0x43, 0x89,  /* 1, 0 */
  0x49, 0xb7, 0x16, 
  /* l */
  0x21, 0x89,  /* 1, 0 */
  0x7f, 
  /* m */
  0x65, 0x87,  /* 1, 0 */
  0xaf, 0xd6, 0x5a, 0x01, 
  /* n */
  0x54, 0x87,  /* 1, 0 */
  0x97, 0x99, 0x09, 
  /* o */
  0x54, 0x87,  /* 1, 0 */
  0x96, 0x99, 0x06, 
  /* p */
  0x54, 0x87,  /* 1, -1 */
  0x97, 0x99, 0x17, 
  /* q */
  0x54, 0x87,  /* 1, -1 */
  0x9e, 0x99, 0x8e, 
  /* r */
  0x33, 0x87,  /* 1, 0 */
  0x5d, 0x12, 
  /* s */
  0x43, 0x87,  /* 1, 0 */
  0x8e, 0x39, 
  /* t */
  0x33, 0x89,  /* 1, 0 */
  0xd2, 0x25, 0x09, 
  /* u */
  0x43, 0x87,  /* 1, 0 */
  0x6d, 0x6b, 
  /* v */
  0x54, 0x87,  /* 1, 0 */
  0x99, 0x59, 0x02, 
  /* w */
  0x65, 0x87,  /* 1, 0 */
  0xb5, 0x56, 0xa5, 0x00, 
  /* x */
  0x54, 0x87,  /* 1, 0 */
  0x99, 0x96, 0x09, 
  /* y */
  0x44, 0x87,  /* 1, -1 */
  0x99, 0x69, 0x12, 
  /* z */
  0x43, 0x87,  /* 1, 0 */
  0xa7, 0x72, 
  /* braceleft */
  0x23, 0x68,  /* 0, -1 */
  0x94, 0x26, 0x11, 
  /* bar */
  0x21, 0x88,  /* 1, -1 */
  0x7f, 
  /* braceright */
  0x23, 0x68,  /* 0, -1 */
  0x91, 0x2c, 0x05, 
  /* asciitilde */
  0x65, 0x86,  /* 1, 2 */
  0xb2, 0x01, 
  /* space */
  0x21, 0x63,  /* 0, 0 */
  0x00, 
  /* exclamdown */
  0x21, 0x87,  /* 1, -2 */
  0x7d, 
  /* cent */
  0x53, 0x88,  /* 1, -1 */
  0x52, 0x53, 0x09, 
  /* sterling */
  0x54, 0x88,  /* 1, 0 */
  0x2c, 0x27, 0xf2, 
  /* currency */
  0x45, 0x67,  /* 0, 0 */
  0xd1, 0x29, 0x17, 0x01, 
  /* yen */
  0x65, 0x87,  /* 1, 0 */
  0x51, 0x7d, 0x42, 0x00, 
  /* brokenbar */
  0x21, 0x88,  /* 1, -1 */
  0x77, 
  /* section */
  0x54, 0x88,  /* 1, -2 */
  0x1e, 0x96, 0xc6, 0x78, 
  /* dieresis */
  0x24, 0x68,  /* 0, 5 */
  0x09, 
  /* copyright */
  0x76, 0x88,  /* 1, -1 */
  0x5e, 0xd8, 0x96, 0x6d, 0xe8, 0x01, 
  /* ordfeminine */
  0x33, 0x68,  /* 0, 1 */
  0xe3, 0x71, 
  /* guillemotleft */
  0x54, 0x86,  /* 1, 1 */
  0x5a, 0x0a, 
  /* logicalnot */
  0x64, 0x86,  /* 1, 1 */
  0x8f, 0x08, 
  /* hyphen */
  0x32, 0x65,  /* 0, 2 */
  0x03, 
  /* registered */
  0x76, 0x88,  /* 1, -1 */
  0x5e, 0xd8, 0xb6, 0x75, 0xe8, 0x01, 
  /* macron */
  0x23, 0x68,  /* 0, 5 */
  0x07, 
  /* degree */
  0x33, 0x88,  /* 1, 3 */
  0xaa, 0x00, 
  /* plusminus */
  0x54, 0x87,  /* 1, 0 */
  0xf4, 0x04, 0x0f, 
  /* twosuperior */
  0x22, 0x88,  /* 1, 2 */
  0xd9, 
  /* threesuperior */
  0x23, 0x68,  /* 0, 2 */
  0x37, 0x07, 
  /* acute */
  0x22, 0x68,  /* 0, 4 */
  0x06, 
  /* mu */
  0x43, 0x86,  /* 1, -2 */
  0x6d, 0x9f, 0x00, 
  /* paragraph */
  0x55, 0x68,  /* 0, -2 */
  0x7e, 0xad, 0xa5, 0x94, 0x52, 
  /* periodcentered */
  0x21, 0x85,  /* 1, 1 */
  0x03, 
  /* cedilla */
  0x22, 0x62,  /* 0, -2 */
  0x06, 
  /* onesuperior */
  0x22, 0x68,  /* 0, 2 */
  0xae, 
  /* ordmasculine */
  0x33, 0x68,  /* 0, 1 */
  0xef, 0x71, 
  /* guillemotright */
  0x54, 0x86,  /* 1, 1 */
  0xa5, 0x05, 
  /* onequarter */
  0x77, 0x68,  /* 0, -1 */
  0x82, 0x91, 0x44, 0x45, 0xd3, 0x83, 0x00, 
  /* onehalf */
  0x77, 0x68,  /* 0, -1 */
  0x82, 0x91, 0x44, 0x47, 0x14, 0xc1, 0x01, 
  /* threequarters */
  0x77, 0x68,  /* 0, -1 */
  0x07, 0x13, 0x65, 0x45, 0xd3, 0x83, 0x00, 
  /* questiondown */
  0x54, 0x87,  /* 1, -1 */
  0x04, 0x24, 0x69, 
  /* Agrave */
  0x65, 0x8b,  /* 1, 0 */
  0x82, 0x00, 0x42, 0x94, 0x8b, 0x11, 
  /* Aacute */
  0x65, 0x8b,  /* 1, 0 */
  0x88, 0x00, 0x42, 0x94, 0x8b, 0x11, 
  /* Acircumflex */
  0x65, 0x8b,  /* 1, 0 */
  0x44, 0x01, 0x42, 0x94, 0x8b, 0x11, 
  /* Atilde */
  0x65, 0x8b,  /* 1, 0 */
  0x54, 0x01, 0x42, 0x94, 0x8b, 0x11, 
  /* Adieresis */
  0x65, 0x8a,  /* 1, 0 */
  0x0a, 0x10, 0xa2, 0x5c, 0x8c, 
  /* Aring */
  0x65, 0x8b,  /* 1, 0 */
  0x44, 0x11, 0x42, 0x94, 0x8b, 0x11, 
  /* AE */
  0x87, 0x88,  /* 1, 0 */
  0x7c, 0x86, 0xc2, 0x97, 0xc8, 0x03, 
  /* Ccedilla */
  0x65, 0x88,  /* 1, -2 */
  0x2e, 0xc6, 0x10, 0x9d, 0x08, 
  /* Egrave */
  0x64, 0xab,  /* 2, 0 */
  0x42, 0xf0, 0x71, 0x11, 0x0f, 
  /* Eacute */
  0x64, 0xab,  /* 2, 0 */
  0x24, 0xf0, 0x71, 0x11, 0x0f, 
  /* Ecircumflex */
  0x64, 0xab,  /* 2, 0 */
  0x52, 0xf0, 0x71, 0x11, 0x0f, 
  /* Edieresis */
  0x64, 0xaa,  /* 2, 0 */
  0x05, 0x1f, 0x17, 0xf1, 
  /* Igrave */
  0x22, 0x6b,  /* 0, 0 */
  0x89, 0xaa, 0x02, 
  /* Iacute */
  0x22, 0x8b,  /* 1, 0 */
  0x46, 0x55, 0x01, 
  /* Icircumflex */
  0x23, 0x6b,  /* 0, 0 */
  0x2a, 0x24, 0x49, 0x02, 
  /* Idieresis */
  0x23, 0x6a,  /* 0, 0 */
  0x85, 0x24, 0x49, 
  /* Eth */
  0x65, 0x88,  /* 1, 0 */
  0x4e, 0x5e, 0x29, 0x1d, 
  /* Ntilde */
  0x65, 0x8b,  /* 1, 0 */
  0x54, 0x81, 0x38, 0x6b, 0xcd, 0x11, 
  /* Ograve */
  0x65, 0x8b,  /* 1, 0 */
  0x82, 0x00, 0x17, 0x63, 0x8c, 0x0e, 
  /* Oacute */
  0x65, 0x8b,  /* 1, 0 */
  0x88, 0x00, 0x17, 0x63, 0x8c, 0x0e, 
  /* Ocircumflex */
  0x65, 0x8b,  /* 1, 0 */
  0x44, 0x01, 0x17, 0x63, 0x8c, 0x0e, 
  /* Otilde */
  0x65, 0x8b,  /* 1, 0 */
  0x54, 0x01, 0x17, 0x63, 0x8c, 0x0e, 
  /* Odieresis */
  0x65, 0x8a,  /* 1, 0 */
  0x0a, 0xb8, 0x18, 0x63, 0x74, 
  /* multiply */
  0x54, 0x86,  /* 1, 0 */
  0x69, 0x96, 
  /* Oslash */
  0x65, 0x89,  /* 1, -1 */
  0xd0, 0xc7, 0x5c, 0xe7, 0x0b, 
  /* Ugrave */
  0x65, 0x8b,  /* 1, 0 */
  0x82, 0x80, 0x18, 0x63, 0x8c, 0x0e, 
  /* Uacute */
  0x65, 0x8b,  /* 1, 0 */
  0x88, 0x80, 0x18, 0x63, 0x8c, 0x0e, 
  /* Ucircumflex */
  0x65, 0x8b,  /* 1, 0 */
  0x44, 0x81, 0x18, 0x63, 0x8c, 0x0e, 
  /* Udieresis */
  0x65, 0x8a,  /* 1, 0 */
  0x0a, 0xc4, 0x18, 0x63, 0x74, 
  /* Yacute */
  0x65, 0x8b,  /* 1, 0 */
  0x10, 0x81, 0x29, 0x25, 0x23, 0x04, 
  /* Thorn */
  0x65, 0x88,  /* 1, 0 */
  0xe1, 0xc5, 0xf8, 0x02, 
  /* germandbls */
  0x64, 0xa8,  /* 2, -1 */
  0x96, 0x95, 0x59, 0x01, 
  /* agrave */
  0x44, 0x8a,  /* 1, 0 */
  0x21, 0x30, 0x74, 0xb5, 
  /* aacute */
  0x44, 0x8a,  /* 1, 0 */
  0x24, 0x30, 0x74, 0xb5, 
  /* acircumflex */
  0x44, 0x8a,  /* 1, 0 */
  0x52, 0x30, 0x74, 0xb5, 
  /* atilde */
  0x45, 0x6a,  /* 0, 0 */
  0xb6, 0x01, 0x83, 0x9c, 0xb2, 
  /* adieresis */
  0x44, 0x89,  /* 1, 0 */
  0x05, 0x43, 0x57, 0x0b, 
  /* aring */
  0x44, 0x8a,  /* 1, 0 */
  0x52, 0x32, 0x74, 0xb5, 
  /* ae */
  0x65, 0x87,  /* 1, 0 */
  0x8b, 0xfe, 0xb2, 0x01, 
  /* ccedilla */
  0x43, 0x87,  /* 1, -2 */
  0x4e, 0x62, 0x05, 
  /* egrave */
  0x43, 0x8a,  /* 1, 0 */
  0x22, 0xd4, 0xc7, 
  /* eacute */
  0x43, 0x8a,  /* 1, 0 */
  0x14, 0xd4, 0xc7, 
  /* ecircumflex */
  0x43, 0x8a,  /* 1, 0 */
  0x2a, 0xd4, 0xc7, 
  /* edieresis */
  0x43, 0x89,  /* 1, 0 */
  0x85, 0xfa, 0x18, 
  /* igrave */
  0x22, 0x6a,  /* 0, 0 */
  0x89, 0xaa, 
  /* iacute */
  0x22, 0x8a,  /* 1, 0 */
  0x46, 0x55, 
  /* icircumflex */
  0x23, 0x6a,  /* 0, 0 */
  0x2a, 0x24, 0x49, 
  /* idieresis */
  0x23, 0x69,  /* 0, 0 */
  0x85, 0x24, 0x09, 
  /* eth */
  0x54, 0x8a,  /* 1, 0 */
  0x69, 0xe5, 0x99, 0x69, 
  /* ntilde */
  0x54, 0x8a,  /* 1, 0 */
  0x5a, 0x70, 0x99, 0x99, 
  /* ograve */
  0x54, 0x8a,  /* 1, 0 */
  0x42, 0x60, 0x99, 0x69, 
  /* oacute */
  0x54, 0x8a,  /* 1, 0 */
  0x48, 0x60, 0x99, 0x69, 
  /* ocircumflex */
  0x54, 0x8a,  /* 1, 0 */
  0x52, 0x60, 0x99, 0x69, 
  /* otilde */
  0x54, 0x8a,  /* 1, 0 */
  0x5a, 0x60, 0x99, 0x69, 
  /* odieresis */
  0x54, 0x89,  /* 1, 0 */
  0x09, 0x96, 0x99, 0x06, 
  /* divide */
  0x54, 0x87,  /* 1, 0 */
  0x04, 0x0f, 0x04, 
  /* oslash */
  0x57, 0x68,  /* 0, -1 */
  0x40, 0x9e, 0x44, 0x63, 0x71, 0x04, 0x00, 
  /* ugrave */
  0x43, 0x8a,  /* 1, 0 */
  0x11, 0xda, 0xd6, 
  /* uacute */
  0x43, 0x8a,  /* 1, 0 */
  0x14, 0xda, 0xd6, 
  /* ucircumflex */
  0x43, 0x8a,  /* 1, 0 */
  0x2a, 0xda, 0xd6, 
  /* udieresis */
  0x43, 0x89,  /* 1, 0 */
  0x45, 0xdb, 0x1a, 
  /* yacute */
  0x44, 0x8a,  /* 1, -1 */
  0x48, 0x90, 0x99, 0x26, 0x01, 
  /* thorn */
  0x54, 0x88,  /* 1, -1 */
  0x71, 0x99, 0x79, 0x01, 
  /* ydieresis */
  0x44, 0x89,  /* 1, -1 */
  0x0a, 0x99, 0x69, 0x12};


static uint16_t PROGMEM toc[] = {
  0x0000,
  0x0003,
  0x0006,
  0x000a,
  0x0010,
  0x0016,
  0x001d,
  0x0023,
  0x0026,
  0x002a,
  0x002e,
  0x0032,
  0x0038,
  0x003b,
  0x003e,
  0x0041,
  0x0045,
  0x004a,
  0x004e,
  0x0053,
  0x0058,
  0x005d,
  0x0062,
  0x0067,
  0x006c,
  0x0071,
  0x0076,
  0x0079,
  0x007d,
  0x0081,
  0x0085,
  0x0089,
  0x008d,
  0x0096,
  0x009c,
  0x00a1,
  0x00a7,
  0x00ad,
  0x00b2,
  0x00b7,
  0x00bd,
  0x00c3,
  0x00c6,
  0x00cb,
  0x00d0,
  0x00d5,
  0x00db,
  0x00e1,
  0x00e7,
  0x00ec,
  0x00f3,
  0x00f8,
  0x00fd,
  0x0102,
  0x0108,
  0x010d,
  0x0115,
  0x011a,
  0x0120,
  0x0125,
  0x0129,
  0x012d,
  0x0131,
  0x0135,
  0x0138,
  0x013b,
  0x0140,
  0x0146,
  0x014a,
  0x0150,
  0x0154,
  0x0159,
  0x015e,
  0x0164,
  0x0167,
  0x016c,
  0x0171,
  0x0174,
  0x017a,
  0x017f,
  0x0184,
  0x0189,
  0x018e,
  0x0192,
  0x0196,
  0x019b,
  0x019f,
  0x01a4,
  0x01aa,
  0x01af,
  0x01b4,
  0x01b8,
  0x01bd,
  0x01c0,
  0x01c5,
  0x01c9,
  0x01cc,
  0x01cf,
  0x01d4,
  0x01d9,
  0x01df,
  0x01e5,
  0x01e8,
  0x01ee,
  0x01f1,
  0x01f9,
  0x01fd,
  0x0201,
  0x0205,
  0x0208,
  0x0210,
  0x0213,
  0x0217,
  0x021c,
  0x021f,
  0x0223,
  0x0226,
  0x022b,
  0x0232,
  0x0235,
  0x0238,
  0x023b,
  0x023f,
  0x0243,
  0x024c,
  0x0255,
  0x025e,
  0x0263,
  0x026b,
  0x0273,
  0x027b,
  0x0283,
  0x028a,
  0x0292,
  0x029a,
  0x02a1,
  0x02a8,
  0x02af,
  0x02b6,
  0x02bc,
  0x02c1,
  0x02c6,
  0x02cc,
  0x02d1,
  0x02d7,
  0x02df,
  0x02e7,
  0x02ef,
  0x02f7,
  0x02ff,
  0x0306,
  0x030a,
  0x0311,
  0x0319,
  0x0321,
  0x0329,
  0x0330,
  0x0338,
  0x033e,
  0x0344,
  0x034a,
  0x0350,
  0x0356,
  0x035d,
  0x0363,
  0x0369,
  0x036f,
  0x0374,
  0x0379,
  0x037e,
  0x0383,
  0x0388,
  0x038c,
  0x0390,
  0x0395,
  0x039a,
  0x03a0,
  0x03a6,
  0x03ac,
  0x03b2,
  0x03b8,
  0x03be,
  0x03c4,
  0x03c9,
  0x03d2,
  0x03d7,
  0x03dc,
  0x03e1,
  0x03e6,
  0x03ed,
  0x03f3,  0x03f7};

static lcd_font PROGMEM font = {
  0x0000, /* font size   */
  00,   /* vid         */
  00,   /* fid         */
  00,   /* TOCoff      */
  32,   /* ascii_min   */
  191,   /* nAscii      */
  9,   /* FBBx        */
  11,   /* FBBy        */
  02,   /* Descent     */
  00,   /* BSP         */
  00,   /* CSP         */
  00,   /* LSP         */
  (uint16_t PROGMEM *)toc, 
  (uint8_t PROGMEM *)glyphs}; 

void setfont_helv_medium_8 ()
{
  lcd_init_font_handler_small ((lcd_font PROGMEM *)&font);
}
