#include "lcd_dip122.h"

static uint8_t PROGMEM glyphs[] = {
  /* space */
  0x41, 0x63,  /* 0, 0 */
  0x00, 
  /* exclam */
  0x42, 0x8b,  /* 1, 0 */
  0xff, 0xcb, 0x03, 
  /* quotedbl */
  0x65, 0x8c,  /* 1, 6 */
  0x7b, 0xa7, 0x04, 
  /* numbersign */
  0x87, 0x8b,  /* 1, 0 */
  0x36, 0xdb, 0xdf, 0x66, 0xfb, 0xdb, 0x6c, 0x36, 
  /* dollar */
  0x86, 0x8c,  /* 1, -1 */
  0x88, 0xb7, 0x2e, 0x8f, 0xc7, 0xd3, 0xb5, 0x47, 0x00, 
  /* percent */
  0xbb, 0x6b,  /* 0, 0 */
  0x0e, 0xd9, 0xcc, 0x36, 0xdc, 0x00, 0x02, 0xd8, 0x61, 0x9b, 0xd9, 0x84, 
  0x03, 
  /* ampersand */
  0xa8, 0xab,  /* 2, 0 */
  0x1e, 0x33, 0x33, 0x16, 0xcc, 0x5a, 0x33, 0x63, 0xde, 
  /* quotesingle */
  0x32, 0x8c,  /* 1, 6 */
  0x5f, 
  /* parenleft */
  0x54, 0x8c,  /* 1, -1 */
  0x6c, 0x36, 0x33, 0x33, 0x66, 0x0c, 
  /* parenright */
  0x54, 0x6c,  /* 0, -1 */
  0x63, 0xc6, 0xcc, 0xcc, 0x66, 0x03, 
  /* asterisk */
  0x65, 0x8b,  /* 1, 4 */
  0xa4, 0xba, 0x4a, 0x00, 
  /* plus */
  0x87, 0x8a,  /* 1, 1 */
  0x08, 0x04, 0xe2, 0x8f, 0x40, 0x20, 0x00, 
  /* comma */
  0x32, 0x84,  /* 1, -2 */
  0x6f, 
  /* hyphen */
  0x43, 0x87,  /* 1, 4 */
  0x07, 
  /* period */
  0x32, 0x84,  /* 1, 0 */
  0x0f, 
  /* slash */
  0x77, 0x6c,  /* 0, -1 */
  0x60, 0x30, 0x0c, 0x86, 0xe1, 0x30, 0x0c, 0x86, 0xc1, 0x00, 
  /* zero */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x3c, 0xcf, 0xf3, 0x3c, 0xcf, 0x1e, 
  /* one */
  0x84, 0x8b,  /* 1, 0 */
  0xfc, 0xcc, 0xcc, 0xcc, 0x0c, 
  /* two */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x0c, 0xc3, 0x18, 0x63, 0xfc, 0x3f, 
  /* three */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x0c, 0xc3, 0x1c, 0x0c, 0xcf, 0x1e, 
  /* four */
  0x87, 0x8b,  /* 1, 0 */
  0x30, 0x1c, 0x4d, 0x16, 0xfb, 0xff, 0x61, 0x30, 
  /* five */
  0x86, 0x8b,  /* 1, 0 */
  0xbe, 0x2f, 0x08, 0x1e, 0x0c, 0xcf, 0x1e, 
  /* six */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x3c, 0x0c, 0xdf, 0x3c, 0xcf, 0x1e, 
  /* seven */
  0x86, 0x8b,  /* 1, 0 */
  0xff, 0x0f, 0x63, 0x18, 0xc3, 0x18, 0x06, 
  /* eight */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x3c, 0xdf, 0xde, 0x3e, 0xcf, 0x1e, 
  /* nine */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x3c, 0xcf, 0x3e, 0x0c, 0xcf, 0x1e, 
  /* colon */
  0x32, 0x89,  /* 1, 0 */
  0x0f, 0x3c, 
  /* semicolon */
  0x32, 0x89,  /* 1, -2 */
  0x0f, 0xbc, 0x01, 
  /* less */
  0x86, 0x8a,  /* 1, 1 */
  0x30, 0x67, 0x0c, 0x06, 0x07, 0x03, 
  /* equal */
  0x86, 0x88,  /* 1, 3 */
  0x3f, 0xf0, 0x03, 
  /* greater */
  0x86, 0x8a,  /* 1, 1 */
  0x83, 0x83, 0xc1, 0x98, 0x33, 0x00, 
  /* question */
  0x75, 0x8b,  /* 1, 0 */
  0x2e, 0x63, 0x66, 0x0c, 0x30, 0x06, 
  /* at */
  0xa9, 0x8b,  /* 1, 0 */
  0x7c, 0x8c, 0xcd, 0xdb, 0xb6, 0x6d, 0xdb, 0x6c, 0x03, 0xfc, 0x00, 
  /* A */
  0x97, 0x8b,  /* 1, 0 */
  0x18, 0x0c, 0x8d, 0x26, 0xf3, 0x8f, 0xc7, 0x63, 
  /* B */
  0x96, 0xab,  /* 2, 0 */
  0xdf, 0x3c, 0x4f, 0xcf, 0x34, 0xcf, 0x1f, 
  /* C */
  0x97, 0xab,  /* 2, 0 */
  0x3c, 0xf3, 0x60, 0x30, 0x18, 0x0c, 0x8c, 0x3c, 
  /* D */
  0xa7, 0xab,  /* 2, 0 */
  0x9f, 0xd9, 0x78, 0x3c, 0x1e, 0x8f, 0x67, 0x1f, 
  /* E */
  0x86, 0xab,  /* 2, 0 */
  0xff, 0x30, 0x0c, 0xdf, 0x30, 0x0c, 0x3f, 
  /* F */
  0x76, 0xab,  /* 2, 0 */
  0xff, 0x30, 0x0c, 0xdf, 0x30, 0x0c, 0x03, 
  /* G */
  0x97, 0x8b,  /* 1, 0 */
  0x3c, 0xf3, 0x60, 0x30, 0x18, 0x8f, 0xcd, 0x7c, 
  /* H */
  0xa7, 0xab,  /* 2, 0 */
  0xe3, 0xf1, 0x78, 0xfc, 0x1f, 0x8f, 0xc7, 0x63, 
  /* I */
  0x52, 0xab,  /* 2, 0 */
  0xff, 0xff, 0x03, 
  /* J */
  0x64, 0x8b,  /* 1, -1 */
  0xcc, 0xcc, 0xcc, 0xcc, 0x7c, 
  /* K */
  0x97, 0xab,  /* 2, 0 */
  0xe3, 0xd9, 0x64, 0xf1, 0xd8, 0xec, 0x66, 0x63, 
  /* L */
  0x86, 0xab,  /* 2, 0 */
  0xc3, 0x30, 0x0c, 0xc3, 0x30, 0x0c, 0x3f, 
  /* M */
  0xc9, 0xab,  /* 2, 0 */
  0xc7, 0x8f, 0x1f, 0x6f, 0xdd, 0xba, 0x75, 0xe6, 0xcc, 0x81, 0x01, 
  /* N */
  0xa7, 0xab,  /* 2, 0 */
  0xc7, 0x63, 0xb3, 0xd9, 0xcd, 0xc6, 0xe3, 0x61, 
  /* O */
  0xb8, 0xab,  /* 2, 0 */
  0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* P */
  0x86, 0xab,  /* 2, 0 */
  0xdf, 0x3c, 0xcf, 0xd3, 0x33, 0x0c, 0x03, 
  /* Q */
  0xb8, 0xab,  /* 2, -2 */
  0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 0x60, 0xc0, 
  /* R */
  0x97, 0xab,  /* 2, 0 */
  0x9f, 0xd9, 0x6c, 0xf2, 0xd8, 0x6c, 0x66, 0x73, 
  /* S */
  0x86, 0x8b,  /* 1, 0 */
  0xde, 0x3c, 0x1c, 0x1e, 0x0e, 0xcf, 0x1e, 
  /* T */
  0x98, 0x8b,  /* 1, 0 */
  0xff, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
  /* U */
  0xa7, 0xab,  /* 2, 0 */
  0xe3, 0xf1, 0x78, 0x3c, 0x1e, 0x8f, 0x6d, 0x1c, 
  /* V */
  0x98, 0x8b,  /* 1, 0 */
  0xc3, 0xc3, 0xc3, 0x46, 0x66, 0x2c, 0x3c, 0x18, 0x18, 
  /* W */
  0xca, 0x8b,  /* 1, 0 */
  0x03, 0xcf, 0x3c, 0xb3, 0x6d, 0xb6, 0xf9, 0xc7, 0x0c, 0x33, 0xcc, 0x00, 
  /* X */
  0x97, 0x8b,  /* 1, 0 */
  0xe3, 0xb1, 0xcd, 0xc3, 0xb1, 0xd9, 0xc6, 0x63, 
  /* Y */
  0x98, 0x8b,  /* 1, 0 */
  0xc3, 0xc3, 0x46, 0x66, 0x2c, 0x18, 0x18, 0x18, 0x18, 
  /* Z */
  0x86, 0x8b,  /* 1, 0 */
  0x3f, 0x8c, 0x71, 0x8c, 0x61, 0x0c, 0x3f, 
  /* bracketleft */
  0x54, 0x8c,  /* 1, -1 */
  0x3f, 0x33, 0x33, 0x33, 0x33, 0x0f, 
  /* backslash */
  0x77, 0x6c,  /* 0, -1 */
  0x83, 0x81, 0xc1, 0xc0, 0xe0, 0x60, 0x60, 0x30, 0x30, 0x18, 
  /* bracketright */
  0x54, 0x6c,  /* 0, -1 */
  0xcf, 0xcc, 0xcc, 0xcc, 0xcc, 0x0f, 
  /* asciicircum */
  0x87, 0x8b,  /* 1, 2 */
  0x08, 0x0e, 0xc5, 0x26, 0x1a, 0x07, 0x01, 
  /* underscore */
  0x97, 0x82,  /* 1, -1 */
  0x7f, 
  /* grave */
  0x83, 0xac,  /* 2, 8 */
  0x33, 
  /* a */
  0x87, 0x89,  /* 1, 0 */
  0x9e, 0x19, 0xcc, 0x37, 0x9b, 0xb9, 0x01, 
  /* b */
  0x96, 0xac,  /* 2, 0 */
  0xc3, 0x30, 0x6c, 0xf7, 0x3c, 0xcf, 0xf3, 0x07, 
  /* c */
  0x76, 0x89,  /* 1, 0 */
  0xde, 0x3c, 0x0c, 0xc3, 0xe8, 0x01, 
  /* d */
  0x86, 0x8c,  /* 1, 0 */
  0x30, 0x0c, 0xfb, 0xf3, 0x3c, 0xcf, 0xbb, 0x0d, 
  /* e */
  0x86, 0x89,  /* 1, 0 */
  0xde, 0x3c, 0xff, 0xc3, 0xe8, 0x01, 
  /* f */
  0x65, 0x8c,  /* 1, 0 */
  0xdc, 0x98, 0x6f, 0x8c, 0x31, 0xc6, 0x00, 
  /* g */
  0x86, 0x89,  /* 1, -2 */
  0xfe, 0x3c, 0xcf, 0xbb, 0x0d, 0xcf, 0x1e, 
  /* h */
  0x96, 0xac,  /* 2, 0 */
  0xc3, 0x30, 0x6c, 0xf7, 0x3c, 0xcf, 0xf3, 0x0c, 
  /* i */
  0x52, 0xac,  /* 2, 0 */
  0xcf, 0xff, 0x0f, 
  /* j */
  0x54, 0x6c,  /* 0, -2 */
  0xcc, 0xc0, 0xcc, 0xcc, 0xcc, 0x7c, 
  /* k */
  0x86, 0xac,  /* 2, 0 */
  0xc3, 0x30, 0xcc, 0xd3, 0xf2, 0x6c, 0xf3, 0x0c, 
  /* l */
  0x52, 0xac,  /* 2, 0 */
  0xff, 0xff, 0x0f, 
  /* m */
  0xda, 0xa9,  /* 2, 0 */
  0x9b, 0xdd, 0x3d, 0xf3, 0xcc, 0x33, 0xcf, 0x3c, 0x33, 
  /* n */
  0x96, 0xa9,  /* 2, 0 */
  0xdb, 0x3d, 0xcf, 0xf3, 0x3c, 0x03, 
  /* o */
  0x86, 0x89,  /* 1, 0 */
  0xde, 0x3c, 0xcf, 0xf3, 0xec, 0x01, 
  /* p */
  0x96, 0xa9,  /* 2, -2 */
  0xdb, 0x3d, 0xcf, 0xf3, 0xfc, 0x0d, 0x03, 
  /* q */
  0x86, 0x89,  /* 1, -2 */
  0xfe, 0x3c, 0xcf, 0xf3, 0x6e, 0xc3, 0x30, 
  /* r */
  0x65, 0x89,  /* 1, 0 */
  0x7b, 0x9f, 0x31, 0xc6, 0x00, 
  /* s */
  0x86, 0x89,  /* 1, 0 */
  0xfe, 0x70, 0x78, 0x38, 0xfc, 0x01, 
  /* t */
  0x55, 0x6b,  /* 0, 0 */
  0xc4, 0x7c, 0x63, 0x8c, 0x31, 0x1c, 
  /* u */
  0x96, 0xa9,  /* 2, 0 */
  0xf3, 0x3c, 0xcf, 0xf3, 0x6e, 0x03, 
  /* v */
  0x86, 0x89,  /* 1, 0 */
  0xf3, 0x3c, 0x5b, 0x16, 0xc3, 0x00, 
  /* w */
  0xba, 0x89,  /* 1, 0 */
  0x03, 0xcf, 0x6c, 0x9b, 0x6d, 0xfe, 0x31, 0xc3, 0x0c, 
  /* x */
  0x76, 0x89,  /* 1, 0 */
  0xf3, 0x6c, 0x31, 0xda, 0x3c, 0x03, 
  /* y */
  0x87, 0x89,  /* 1, -2 */
  0xe3, 0xf1, 0xc8, 0x66, 0xe1, 0x30, 0x0c, 0x06, 
  /* z */
  0x75, 0x89,  /* 1, 0 */
  0x1f, 0x33, 0x67, 0xc6, 0x07, 
  /* braceleft */
  0x54, 0x8c,  /* 1, -1 */
  0x3e, 0x63, 0x34, 0x64, 0x33, 0x0e, 
  /* bar */
  0x42, 0x8c,  /* 1, -1 */
  0xff, 0xff, 0x3f, 
  /* braceright */
  0x54, 0x6c,  /* 0, -1 */
  0xc7, 0x6c, 0xc2, 0x62, 0xcc, 0x07, 
  /* asciitilde */
  0x86, 0x88,  /* 1, 4 */
  0x6e, 0x07, 
  /* space */
  0x41, 0x63,  /* 0, 0 */
  0x00, 
  /* exclamdown */
  0x42, 0x89,  /* 1, -2 */
  0x4f, 0xff, 0x03, 
  /* cent */
  0x86, 0x8b,  /* 1, 0 */
  0x88, 0x37, 0x0f, 0xc3, 0x30, 0x7b, 0x08, 
  /* sterling */
  0x86, 0x8b,  /* 1, 0 */
  0x9c, 0x69, 0x18, 0x9f, 0x61, 0x18, 0x3f, 
  /* currency */
  0x88, 0x6b,  /* 0, 0 */
  0x81, 0xc3, 0x3c, 0x66, 0x66, 0x66, 0x3c, 0xc3, 0x81, 
  /* yen */
  0x88, 0x6b,  /* 0, 0 */
  0xc3, 0xc3, 0x66, 0x2c, 0x7e, 0x18, 0x7e, 0x18, 0x18, 
  /* brokenbar */
  0x42, 0x8c,  /* 1, -1 */
  0xff, 0xc0, 0x3f, 
  /* section */
  0x86, 0x8b,  /* 1, -1 */
  0xde, 0x7c, 0x78, 0xf9, 0xe9, 0xe1, 0xb3, 0x07, 
  /* dieresis */
  0x84, 0xac,  /* 2, 8 */
  0x99, 
  /* copyright */
  0xa9, 0x8b,  /* 1, 0 */
  0x7c, 0x04, 0xe5, 0x6c, 0xd9, 0xb0, 0x61, 0x4e, 0x41, 0x7c, 0x00, 
  /* ordfeminine */
  0x76, 0x8b,  /* 1, 4 */
  0x0e, 0xe6, 0x6d, 0x36, 
  /* guillemotleft */
  0x87, 0x68,  /* 0, 1 */
  0x6c, 0xdb, 0xc6, 0xc6, 0x06, 
  /* logicalnot */
  0x87, 0x87,  /* 1, 2 */
  0x7f, 0x20, 0x10, 
  /* hyphen */
  0x43, 0x87,  /* 1, 4 */
  0x07, 
  /* registered */
  0x87, 0x8b,  /* 1, 2 */
  0x1c, 0x51, 0xb7, 0x59, 0x15, 0x71, 0x00, 
  /* macron */
  0x84, 0xac,  /* 2, 8 */
  0xff, 
  /* degree */
  0x34, 0x6b,  /* 0, 6 */
  0x96, 0x06, 
  /* plusminus */
  0x87, 0x8a,  /* 1, 1 */
  0x08, 0xc4, 0x1f, 0x81, 0x00, 0xfc, 0x01, 
  /* twosuperior */
  0x75, 0x8b,  /* 1, 4 */
  0x0f, 0xb3, 0xf1, 0x01, 
  /* threesuperior */
  0x75, 0x8b,  /* 1, 4 */
  0x0f, 0x3b, 0xfc, 0x00, 
  /* acute */
  0x83, 0xcc,  /* 3, 8 */
  0x1e, 
  /* mu */
  0x96, 0xa9,  /* 2, -2 */
  0xf3, 0x3c, 0xcf, 0xf3, 0x7e, 0x0f, 0x03, 
  /* paragraph */
  0x86, 0x8b,  /* 1, -1 */
  0xfe, 0xfb, 0xbe, 0x2e, 0x8a, 0xa2, 0x28, 0x0a, 
  /* periodcentered */
  0x82, 0xc7,  /* 3, 3 */
  0x0f, 
  /* cedilla */
  0x84, 0x82,  /* 1, -2 */
  0x7c, 
  /* onesuperior */
  0x74, 0x8b,  /* 1, 4 */
  0xfc, 0xcc, 0x0c, 
  /* ordmasculine */
  0x65, 0x8b,  /* 1, 4 */
  0x6e, 0xef, 0xed, 0x00, 
  /* guillemotright */
  0x87, 0x88,  /* 1, 1 */
  0x1b, 0x1b, 0xdb, 0xb6, 0x01, 
  /* onequarter */
  0xdc, 0x8b,  /* 1, 0 */
  0x07, 0x63, 0x18, 0xc6, 0x60, 0x06, 0x36, 0x87, 0x69, 0x4c, 0x66, 0xfc, 
  0x03, 0x06, 
  /* onehalf */
  0xdc, 0x8b,  /* 1, 0 */
  0x07, 0x63, 0x18, 0xc6, 0x60, 0x06, 0x26, 0x07, 0xcb, 0x18, 0xce, 0x30, 
  0x86, 0x0f, 
  /* threequarters */
  0xee, 0x6b,  /* 0, 0 */
  0x0f, 0x0c, 0x86, 0xe1, 0x30, 0x60, 0x06, 0xcf, 0x1c, 0x98, 0x06, 0x93, 
  0x61, 0xfc, 0x0c, 0x18, 
  /* questiondown */
  0x75, 0xa9,  /* 2, -2 */
  0x8c, 0x01, 0xc6, 0xcc, 0x98, 0x0e, 
  /* Agrave */
  0x97, 0x8d,  /* 1, 0 */
  0x0c, 0x0c, 0x00, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* Aacute */
  0x97, 0x8d,  /* 1, 0 */
  0x30, 0x0c, 0x00, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* Acircumflex */
  0x97, 0x8d,  /* 1, 0 */
  0x18, 0x1a, 0x00, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* Atilde */
  0x97, 0x8d,  /* 1, 0 */
  0x2c, 0x0d, 0x00, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* Adieresis */
  0x97, 0x8d,  /* 1, 0 */
  0x24, 0x12, 0x00, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* Aring */
  0x97, 0x8d,  /* 1, 0 */
  0x18, 0x1a, 0x06, 0x43, 0xa3, 0xc9, 0xfc, 0xe3, 0xf1, 0x18, 
  /* AE */
  0xca, 0x8b,  /* 1, 0 */
  0xf0, 0xa3, 0x81, 0x06, 0x19, 0xe6, 0xf9, 0x31, 0xc6, 0x18, 0xe3, 0x03, 
  /* Ccedilla */
  0x97, 0xab,  /* 2, -2 */
  0x3c, 0xf3, 0x60, 0x30, 0x18, 0x0c, 0x8c, 0x3c, 0x8c, 0x03, 
  /* Egrave */
  0x86, 0xad,  /* 2, 0 */
  0x06, 0x03, 0xfc, 0xc3, 0xf0, 0x0d, 0xc3, 0xf0, 0x03, 
  /* Eacute */
  0x86, 0xad,  /* 2, 0 */
  0x18, 0x03, 0xfc, 0xc3, 0xf0, 0x0d, 0xc3, 0xf0, 0x03, 
  /* Ecircumflex */
  0x86, 0xad,  /* 2, 0 */
  0x8c, 0x06, 0xfc, 0xc3, 0xf0, 0x0d, 0xc3, 0xf0, 0x03, 
  /* Edieresis */
  0x86, 0xad,  /* 2, 0 */
  0x92, 0x04, 0xfc, 0xc3, 0xf0, 0x0d, 0xc3, 0xf0, 0x03, 
  /* Igrave */
  0x53, 0x8d,  /* 1, 0 */
  0x33, 0x6c, 0xdb, 0xb6, 0x01, 
  /* Iacute */
  0x53, 0xad,  /* 2, 0 */
  0x1e, 0xb6, 0x6d, 0xdb, 0x00, 
  /* Icircumflex */
  0x54, 0x8d,  /* 1, 0 */
  0xd6, 0x60, 0x66, 0x66, 0x66, 0x06, 
  /* Idieresis */
  0x54, 0x8d,  /* 1, 0 */
  0x99, 0x60, 0x66, 0x66, 0x66, 0x06, 
  /* Eth */
  0xa8, 0x8b,  /* 1, 0 */
  0x3e, 0x66, 0xc6, 0xc6, 0xdf, 0xc6, 0xc6, 0x66, 0x3e, 
  /* Ntilde */
  0xa7, 0xad,  /* 2, 0 */
  0x2c, 0x0d, 0x60, 0x78, 0x7c, 0x36, 0xb3, 0xf9, 0x78, 0x18, 
  /* Ograve */
  0xb8, 0xad,  /* 2, 0 */
  0x0c, 0x18, 0x00, 0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* Oacute */
  0xb8, 0xad,  /* 2, 0 */
  0x30, 0x18, 0x00, 0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* Ocircumflex */
  0xb8, 0xad,  /* 2, 0 */
  0x18, 0x34, 0x00, 0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* Otilde */
  0xb8, 0xad,  /* 2, 0 */
  0x58, 0x34, 0x00, 0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* Odieresis */
  0xb8, 0xad,  /* 2, 0 */
  0x24, 0x24, 0x00, 0x3c, 0x66, 0xc3, 0xc3, 0xc3, 0xc3, 0x66, 0x3c, 
  /* multiply */
  0x87, 0x89,  /* 1, 1 */
  0x63, 0x1b, 0x87, 0x63, 0x1b, 0x03, 
  /* Oslash */
  0xb8, 0xac,  /* 2, -1 */
  0x80, 0xbc, 0x66, 0xe3, 0xd3, 0xd3, 0xcb, 0xc7, 0x66, 0x3d, 0x01, 
  /* Ugrave */
  0xa7, 0xad,  /* 2, 0 */
  0x0c, 0x0c, 0x60, 0x3c, 0x1e, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Uacute */
  0xa7, 0xad,  /* 2, 0 */
  0x18, 0x06, 0x60, 0x3c, 0x1e, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Ucircumflex */
  0xa7, 0xad,  /* 2, 0 */
  0x18, 0x1a, 0x60, 0x3c, 0x1e, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Udieresis */
  0xa7, 0xad,  /* 2, 0 */
  0x12, 0x09, 0x60, 0x3c, 0x1e, 0x8f, 0xc7, 0x63, 0x1b, 0x07, 
  /* Yacute */
  0x98, 0x8d,  /* 1, 0 */
  0x30, 0x18, 0x00, 0xc3, 0xc3, 0x66, 0x3c, 0x18, 0x18, 0x18, 0x18, 
  /* Thorn */
  0x86, 0xab,  /* 2, 0 */
  0xc3, 0xf0, 0xcd, 0xf3, 0xfc, 0x0d, 0x03, 
  /* germandbls */
  0x96, 0xac,  /* 2, 0 */
  0xce, 0xb6, 0x6d, 0xcb, 0x34, 0xcf, 0xf3, 0x06, 
  /* agrave */
  0x87, 0x8c,  /* 1, 0 */
  0x06, 0x06, 0xc0, 0x33, 0x83, 0xf9, 0x66, 0x33, 0x37, 
  /* aacute */
  0x87, 0x8c,  /* 1, 0 */
  0x18, 0x06, 0xc0, 0x33, 0x83, 0xf9, 0x66, 0x33, 0x37, 
  /* acircumflex */
  0x87, 0x8c,  /* 1, 0 */
  0x0c, 0x0d, 0xc0, 0x33, 0x83, 0xf9, 0x66, 0x33, 0x37, 
  /* atilde */
  0x87, 0x8c,  /* 1, 0 */
  0x96, 0x06, 0xc0, 0x33, 0x83, 0xf9, 0x66, 0x33, 0x37, 
  /* adieresis */
  0x87, 0x8c,  /* 1, 0 */
  0x12, 0x09, 0xc0, 0x33, 0x83, 0xf9, 0x66, 0x33, 0x37, 
  /* aring */
  0x87, 0x8d,  /* 1, 0 */
  0x0c, 0x0d, 0x03, 0xe0, 0x99, 0xc1, 0x7c, 0xb3, 0x99, 0x1b, 
  /* ae */
  0xba, 0x89,  /* 1, 0 */
  0xee, 0xcd, 0x0c, 0xb3, 0xff, 0x33, 0xcc, 0xe8, 0x1e, 
  /* ccedilla */
  0x76, 0x89,  /* 1, -2 */
  0xde, 0x3c, 0x0c, 0xc3, 0xe8, 0x31, 0x07, 
  /* egrave */
  0x86, 0x8c,  /* 1, 0 */
  0x06, 0x03, 0x78, 0xf3, 0xfc, 0x0f, 0xa3, 0x07, 
  /* eacute */
  0x86, 0x8c,  /* 1, 0 */
  0x18, 0x03, 0x78, 0xf3, 0xfc, 0x0f, 0xa3, 0x07, 
  /* ecircumflex */
  0x86, 0x8c,  /* 1, 0 */
  0x8c, 0x06, 0x78, 0xf3, 0xfc, 0x0f, 0xa3, 0x07, 
  /* edieresis */
  0x86, 0x8c,  /* 1, 0 */
  0x92, 0x04, 0x78, 0xf3, 0xfc, 0x0f, 0xa3, 0x07, 
  /* igrave */
  0x53, 0x8c,  /* 1, 0 */
  0x33, 0x6c, 0xdb, 0x36, 
  /* iacute */
  0x53, 0xac,  /* 2, 0 */
  0x1e, 0xb6, 0x6d, 0x1b, 
  /* icircumflex */
  0x54, 0x8c,  /* 1, 0 */
  0xd6, 0x60, 0x66, 0x66, 0x66, 
  /* idieresis */
  0x54, 0x8c,  /* 1, 0 */
  0x99, 0x60, 0x66, 0x66, 0x66, 
  /* eth */
  0x87, 0x8c,  /* 1, 0 */
  0x0e, 0xbc, 0x07, 0xe6, 0x9b, 0xcd, 0x66, 0x33, 0x0f, 
  /* ntilde */
  0x96, 0xac,  /* 2, 0 */
  0xac, 0x06, 0x6c, 0xf7, 0x3c, 0xcf, 0xf3, 0x0c, 
  /* ograve */
  0x86, 0x8c,  /* 1, 0 */
  0x06, 0x03, 0x78, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* oacute */
  0x86, 0x8c,  /* 1, 0 */
  0x18, 0x03, 0x78, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* ocircumflex */
  0x86, 0x8c,  /* 1, 0 */
  0x8c, 0x06, 0x78, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* otilde */
  0x86, 0x8c,  /* 1, 0 */
  0xac, 0x06, 0x78, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* odieresis */
  0x86, 0x8c,  /* 1, 0 */
  0x92, 0x04, 0x78, 0xf3, 0x3c, 0xcf, 0xb3, 0x07, 
  /* divide */
  0x87, 0x8a,  /* 1, 1 */
  0x08, 0x04, 0xe0, 0x0f, 0x40, 0x20, 0x00, 
  /* oslash */
  0x86, 0x8a,  /* 1, -1 */
  0xa0, 0x3f, 0xef, 0xf3, 0x3d, 0x7f, 0x01, 
  /* ugrave */
  0x96, 0xac,  /* 2, 0 */
  0x06, 0x03, 0xcc, 0xf3, 0x3c, 0xcf, 0xbb, 0x0d, 
  /* uacute */
  0x96, 0xac,  /* 2, 0 */
  0x18, 0x03, 0xcc, 0xf3, 0x3c, 0xcf, 0xbb, 0x0d, 
  /* ucircumflex */
  0x96, 0xac,  /* 2, 0 */
  0x8c, 0x06, 0xcc, 0xf3, 0x3c, 0xcf, 0xbb, 0x0d, 
  /* udieresis */
  0x96, 0xac,  /* 2, 0 */
  0x92, 0x04, 0xcc, 0xf3, 0x3c, 0xcf, 0xbb, 0x0d, 
  /* yacute */
  0x87, 0x8c,  /* 1, -2 */
  0x18, 0x06, 0x60, 0x3c, 0x1e, 0xd9, 0x2c, 0x1c, 0x86, 0xc1, 0x00, 
  /* thorn */
  0x96, 0xab,  /* 2, -2 */
  0xc3, 0xb0, 0xdd, 0xf3, 0x3c, 0xcf, 0xdf, 0x30, 0x00, 
  /* ydieresis */
  0x87, 0x8c,  /* 1, -2 */
  0x24, 0x12, 0x60, 0x3c, 0x1e, 0xd9, 0x2c, 0x1c, 0x86, 0xc1, 0x00};


static uint16_t PROGMEM toc[] = {
  0x0000,
  0x0003,
  0x0008,
  0x000d,
  0x0017,
  0x0022,
  0x0031,
  0x003c,
  0x003f,
  0x0047,
  0x004f,
  0x0055,
  0x005e,
  0x0061,
  0x0064,
  0x0067,
  0x0073,
  0x007c,
  0x0083,
  0x008c,
  0x0095,
  0x009f,
  0x00a8,
  0x00b1,
  0x00ba,
  0x00c3,
  0x00cc,
  0x00d0,
  0x00d5,
  0x00dd,
  0x00e2,
  0x00ea,
  0x00f2,
  0x00ff,
  0x0109,
  0x0112,
  0x011c,
  0x0126,
  0x012f,
  0x0138,
  0x0142,
  0x014c,
  0x0151,
  0x0158,
  0x0162,
  0x016b,
  0x0178,
  0x0182,
  0x018d,
  0x0196,
  0x01a3,
  0x01ad,
  0x01b6,
  0x01c1,
  0x01cb,
  0x01d6,
  0x01e4,
  0x01ee,
  0x01f9,
  0x0202,
  0x020a,
  0x0216,
  0x021e,
  0x0227,
  0x022a,
  0x022d,
  0x0236,
  0x0240,
  0x0248,
  0x0252,
  0x025a,
  0x0263,
  0x026c,
  0x0276,
  0x027b,
  0x0283,
  0x028d,
  0x0292,
  0x029d,
  0x02a5,
  0x02ad,
  0x02b6,
  0x02bf,
  0x02c6,
  0x02ce,
  0x02d6,
  0x02de,
  0x02e6,
  0x02f1,
  0x02f9,
  0x0303,
  0x030a,
  0x0312,
  0x0317,
  0x031f,
  0x0323,
  0x0326,
  0x032b,
  0x0334,
  0x033d,
  0x0348,
  0x0353,
  0x0358,
  0x0362,
  0x0365,
  0x0372,
  0x0378,
  0x037f,
  0x0384,
  0x0387,
  0x0390,
  0x0393,
  0x0397,
  0x03a0,
  0x03a6,
  0x03ac,
  0x03af,
  0x03b8,
  0x03c2,
  0x03c5,
  0x03c8,
  0x03cd,
  0x03d3,
  0x03da,
  0x03ea,
  0x03fa,
  0x040c,
  0x0414,
  0x0420,
  0x042c,
  0x0438,
  0x0444,
  0x0450,
  0x045c,
  0x046a,
  0x0476,
  0x0481,
  0x048c,
  0x0497,
  0x04a2,
  0x04a9,
  0x04b0,
  0x04b8,
  0x04c0,
  0x04cb,
  0x04d7,
  0x04e4,
  0x04f1,
  0x04fe,
  0x050b,
  0x0518,
  0x0520,
  0x052d,
  0x0539,
  0x0545,
  0x0551,
  0x055d,
  0x056a,
  0x0573,
  0x057d,
  0x0588,
  0x0593,
  0x059e,
  0x05a9,
  0x05b4,
  0x05c0,
  0x05cb,
  0x05d4,
  0x05de,
  0x05e8,
  0x05f2,
  0x05fc,
  0x0602,
  0x0608,
  0x060f,
  0x0616,
  0x0621,
  0x062b,
  0x0635,
  0x063f,
  0x0649,
  0x0653,
  0x065d,
  0x0666,
  0x066f,
  0x0679,
  0x0683,
  0x068d,
  0x0697,
  0x06a4,
  0x06af,  0x06ba};

static lcd_font PROGMEM font = {
  0x0000, /* font size   */
  00,   /* vid         */
  00,   /* fid         */
  00,   /* TOCoff      */
  32,   /* ascii_min   */
  191,   /* nAscii      */
  14,   /* FBBx        */
  13,   /* FBBy        */
  02,   /* Descent     */
  00,   /* BSP         */
  00,   /* CSP         */
  00,   /* LSP         */
  (uint16_t PROGMEM *)toc, 
  (uint8_t PROGMEM *)glyphs}; 

void setfont_lucida_bold_sans_12 ()
{
  lcd_init_font_handler_small ((lcd_font PROGMEM *)&font);
}
