#include "lcd_dip122.h"
#include "stdlib.h"

void lcd_drawline(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2)
{
    int16_t  dx = x2 - x1;
    int8_t   dy = y2 - y1;
    uint16_t ax = abs(dx) << 1;
    uint16_t ay = abs(dy) << 1;
    int8_t   sx = (dx >= 0) ? 1 : -1;
    int8_t   sy = (dy >= 0) ? 1 : -1;

    uint8_t x = x1;
    uint8_t y = y1;

    if (ax > ay) {
	int16_t d = ay - (ax >> 1);
	while (x != x2) {
	    lcd_drawpixel(x, y);
	    if (d > 0 || (d == 0 && sx == 1)) {
		y += sy;
		d -= ax;
	    }
	    x += sx;
	    d += ay;
	}
    } else {
	int16_t d = ax - (ay >> 1);
	while (y != y2) {
	    lcd_drawpixel(x, y);
	    if (d > 0 || (d == 0 && sy == 1)) {
		x += sx;
		d -= ay;
	    }
	    y += sy;
	    d += ax;
	}
    }
    lcd_drawpixel(x, y);
}
