/***************************************************************************
 *   Low level procedure for drawing 1bpp xbm bitmaps                      *
 *   pixeldata in Flash                                                    *
 *   Copyright (C) 2001  Michael Schänzler                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "lcd_dip122.h"

static uint8_t get_bitmap_pixel (uint8_t x, uint8_t y,
				 uint8_t dx, uint8_t dy,
				 uint8_t *pixel_data);


void lcd_drawpixeldata_P (uint8_t x, uint8_t y,
			  uint8_t dx, uint8_t dy,
			  uint8_t *pixel_data,
			  uint8_t (*operation)(uint8_t, uint8_t, uint8_t))
{
  lcd_drawpixeldata_generic (x, y, dx, dy, pixel_data, operation,
			     get_bitmap_pixel);
}


/* returns the bit at Bitmap Coordinate (x,y) */
/* (0,0) at upper left corner                 */ 
static uint8_t get_bitmap_pixel (uint8_t x, uint8_t y,
				 uint8_t dx,
				 uint8_t dy __attribute__ ((unused)),
				 uint8_t *pixel_data)
{
  uint16_t byte_offset;
  uint8_t bitpos;

  byte_offset = y*((dx+7)/8) + x/8;

  bitpos = x%8;

  return pgm_read_byte(pixel_data + byte_offset) & (1 << bitpos);
}
