/***************************************************************************
 *   Copyright (C) 2001  Michael Schänzler                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "lcd_dip122.h"
#include "stdlib.h"

void lcd_invert(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2)
{
  uint8_t i, j;
  uint8_t page;
  uint8_t x, y; 
  uint8_t dx, dy;
  uint8_t mask1, mask2;

  x = min(x1, x2);
  y = max(y1, y2);
  dx = abs(x2 - x1) + 1;
  dy = abs(y2 - y1) + 1;

  for (i=0; i<dx; i++) {

    mask1 = 0xff << (MAX_Y-y)%8;
    mask2 = ~(0xff << (MAX_Y-y+dy)%8);
    page = (MAX_Y-y)/8;
    
    for (j=0; j<dy; j++) { 
      
      if ((MAX_Y-y+j+1)%8 == 0) {
	write_display_data (0xff, x+i, page, lcd_not, mask1);
	mask1 = 0xff;
 	page++;
      }
    }
    if ((MAX_Y-y+dy)%8 != 0)
      write_display_data (0xff, x+i, page, lcd_not, mask2);
  }

}

